Skip to main content
Resource Center/Network Resource/Route Resource Operations/vRouter Route Table Operations

GetVRouterRouteTable

GetVRouterRouteTable

GET/zstack/v1/vrouter-route-tables/vrouter/{virtualRouterVmUuid}

Operation ID

GetVRouterRouteTable

Since

2.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • virtualRouterVmUuid
    StringRequired

    The VM instance UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The type. The UserStatic and UserBlackHole types can be added by users. The ZStack type is added by the system. The DirectConnect type means the directly connected route.

    • destination
      StringRequired

      The destination network address.

    • target
      StringRequired

      The next hop address or NIC.

    • distance
      IntegerRequired

      The route priority. In the minimum match mode, if multiple route rules are available, the rule with the lowest integer has the highest priority to be matched.

    • status
      StringRequired

      The route status. Options: active: active route inactive: inactive route selected: active route in the multi-path routes